package Sophos::Reports::Report::Example;
use strict;
use warnings;

# Example subclass of Sophos::Reports::Report

sub new {
    my ($class, %opts) = @_;
    # for our subclass, foo must be set. (say)
    return $class->SUPER::new(%opts, foo => 'bar');
}

sub dbh {
    my $self = shift;
    unless ($self->{dbh}) {
        $self->{dbh} = Sophos::MockDBH->new;
    }
    return $self->{dbh};
}

1;
